[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [builders/tor-browser-build] 11/32: Bug 40414: Improve hash_signed_bundles.sh
This is an automated email from the git hooks/post-receive script.
boklm pushed a commit to branch master
in repository builders/tor-browser-build.
commit b7549fe6a13a1791bd7331f097bf1cb9d3d81b06
Author: Nicolas Vigier <boklm@xxxxxxxxxxxxxx>
AuthorDate: Mon Feb 7 20:05:31 2022 +0100
Bug 40414: Improve hash_signed_bundles.sh
Automatically change to the signed directory before creating the
sha256sums-signed files.
---
tools/signing/hash_signed_bundles.sh | 14 ++++++++++----
1 file changed, 10 insertions(+), 4 deletions(-)
diff --git a/tools/signing/hash_signed_bundles.sh b/tools/signing/hash_signed_bundles.sh
index 1e21c49..e7a1247 100755
--- a/tools/signing/hash_signed_bundles.sh
+++ b/tools/signing/hash_signed_bundles.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Copyright (c) 2018, The Tor Project, Inc.
#
@@ -30,12 +30,18 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Usage:
-# 1) Change into the directory containing the files to be hashed
-# 2) Run /path/to/hash_signed_bundles.sh
+# This script will generate sha256sums-signed-build.txt and
+# sha256sums-signed-build.incrementals.txt files in the signed directory.
+
+set -e
+
+script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+source "$script_dir/functions"
export LC_ALL=C
+cd "$signed_version_dir"
+
rm -f sha256sums-signed-build.txt sha256sums-signed-build.incrementals.txt
sha256sum `ls -1 | grep -v '\.incremental\.mar$' | grep -v '^sha256sums*' | \
sort` > sha256sums-signed-build.txt
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits